Program

Get program overview

Get program overview with statistics and settings.

GET https://api.partnero.com/v1/program

Backward Compatibility

The old endpoint GET /v1/program/overview is still supported but deprecated. Please use the unified endpoint above.

Response

{
  "status": 1,
  "data": {
    "program": {
      "id": 1,
      "public_id": "MOBTGEKX",
      "website": "https://example.com",
      "initial": "A0",
      "type": "Referral",
      "name": "Api Test 001",
      "created_at": "2025-04-30",
      "last_edited": "2025-04-30"
    },
    "active_rewards": 2,
    "total_customers": 4,
    "total_customers_before": 4,
    "total_customers_growth": 0,
    "total_referring_customers": 1,
    "total_referring_customers_before": 1,
    "total_referring_customers_growth": 0,
    "total_referred_customers": 3,
    "total_referred_customers_before": 3,
    "total_referred_customers_growth": 0,
    "total_sales": 3,
    "total_sales_before": 3,
    "total_sales_growth": 0,
    "participation": 25,
    "participation_before": 25,
    "participation_growth": 0,
    "total_revenue_from_sales": {
      "usd": "$411.97"
    },
    "overview_program_current_settings": {
      "partner_portal_url": "https://referral-example.partneroapp.site",
      "website_url": "https://referral-example.com"
    }
  }
}
Response Code: 200 OK
Content-Type: application/json

Update program

Update program settings and information.

PUT https://api.partnero.com/v1/program

Request Body

{
    "name": "Updated Referral Program",
    "website": "https://updated-referral-site.com"
}
{
    "name": "New Referral Program Name"
}

Parameters

ParameterTypeRequiredDescription
namestringNoProgram name (max 255 characters)
websitestringNoProgram website URL

Response

{
    "status": 1,
    "message": "Program updated successfully"
}
{
    "status": 0,
    "errors": {
        "website": [
            "The website format is invalid."
        ]
    }
}
Response Code: 200 OK (Success)
Response Code: 422 Unprocessable Entity (Validation Error)
Content-Type: application/json